#ifndef __VDC_H
#define __VDC_H

#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include "types.h"
#include "vmachine.h"
#include "config.h"
#include "keyboard.h"
#include "cset.h"
#include "timefunc.h"
#include "cpu.h"
#include "vpp.h"
#include "vdc.h"
#include "allegro.h"
#include "audio.h"
#include "voice.h"

#define BMPW 340
#define BMPH 250
#define WNDW 320
#define WNDH 240

extern Byte coltab[];
extern long clip_low;
extern long clip_high;
extern int show_fps;

void init_display(void);
void draw_display(void);
void set_textmode(void);
void draw_region(void);
void finish_display();
void close_display(void);
void grmode(void);
void txtmsg(int x, int y, int c, const char *s);
void display_info(void);
void display_msg(char *msg, int waits);
void clear_collision(void);
void clearscr(void);

extern BITMAP *bmp;
extern BITMAP *bmpcache;
extern int cached_lines[];

#endif


